# Method: networks.hubs.makeUnavailable

Makes a hub unavailable.

### HTTP request

`POST https://middlemileoptimization.googleapis.com/v1/{name=networks/*/hubs/*}:makeUnavailable`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the hub to make unavailable. Format: "networks/{network}/hubs/{hub}" |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "unavailabilityStarts": [ { object (`https://developers.google.com/optimization/middlemileoptimization/reference/rest/v1/DateTime`) } ] } ``` |

| Fields ||
|---|---|
| `unavailabilityStarts[]` | ``object (`https://developers.google.com/optimization/middlemileoptimization/reference/rest/v1/DateTime`)`` Required. The periods where unavailability will start. They must be points in time in the future. If this field is absent, unavailability starts when the message is received. |

### Response body

The response message for `hubs.makeUnavailable` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "name": string, "path": [ { object (`https://developers.google.com/optimization/middlemileoptimization/reference/rest/v1/Path`) } ] } ``` |

| Fields ||
|---|---|
| `name` | `string` The name of the hub whose unavailability was updated. Format: "networks/{network}/hubs/{hub}" |
| `path[]` | ``object (`https://developers.google.com/optimization/middlemileoptimization/reference/rest/v1/Path`)`` The paths that were updated. |